Get an enterprise
Retrieve a single enterprise by id. Returns 404 if the id does not exist or does not belong to your account.
GET
/
enterprises
/
{enterprise_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const enterprise = await client.enterprises.retrieve('4a6192a4-573d-446d-b3ce-aff9117272a6');
console.log(enterprise.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
enterprise = client.enterprises.retrieve(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
)
print(enterprise.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
enterprise, err := client.Enterprises.Get(context.TODO(), "4a6192a4-573d-446d-b3ce-aff9117272a6")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", enterprise.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.EnterpriseRetrieveParams;
import com.telnyx.sdk.models.enterprises.EnterpriseRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
EnterpriseRetrieveResponse enterprise = client.enterprises().retrieve("4a6192a4-573d-446d-b3ce-aff9117272a6");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
enterprise = telnyx.enterprises.retrieve("4a6192a4-573d-446d-b3ce-aff9117272a6")
puts(enterprise)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$enterprise = $client->enterprises->retrieve(
'4a6192a4-573d-446d-b3ce-aff9117272a6'
);
var_dump($enterprise);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises retrieve \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"legal_name": "Acme Plumbing LLC",
"organization_type": "commercial",
"country_code": "US",
"role_type": "enterprise",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"industry": "technology",
"number_of_employees": "51-200",
"organization_legal_type": "llc",
"doing_business_as": "Acme Plumbing",
"jurisdiction_of_incorporation": "Delaware",
"customer_reference": "internal-id-12345",
"primary_business_domain_sic_code": null,
"corporate_registration_number": null,
"professional_license_number": null,
"dun_bradstreet_number": null,
"organization_contact": {
"first_name": "Sam",
"last_name": "Org",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z",
"branded_calling_enabled": true,
"number_reputation_enabled": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Response
Enterprise.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const enterprise = await client.enterprises.retrieve('4a6192a4-573d-446d-b3ce-aff9117272a6');
console.log(enterprise.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
enterprise = client.enterprises.retrieve(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
)
print(enterprise.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
enterprise, err := client.Enterprises.Get(context.TODO(), "4a6192a4-573d-446d-b3ce-aff9117272a6")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", enterprise.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.EnterpriseRetrieveParams;
import com.telnyx.sdk.models.enterprises.EnterpriseRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
EnterpriseRetrieveResponse enterprise = client.enterprises().retrieve("4a6192a4-573d-446d-b3ce-aff9117272a6");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
enterprise = telnyx.enterprises.retrieve("4a6192a4-573d-446d-b3ce-aff9117272a6")
puts(enterprise)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$enterprise = $client->enterprises->retrieve(
'4a6192a4-573d-446d-b3ce-aff9117272a6'
);
var_dump($enterprise);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises retrieve \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"legal_name": "Acme Plumbing LLC",
"organization_type": "commercial",
"country_code": "US",
"role_type": "enterprise",
"website": "https://acmeplumbing.example.com",
"fein": "12-3456789",
"industry": "technology",
"number_of_employees": "51-200",
"organization_legal_type": "llc",
"doing_business_as": "Acme Plumbing",
"jurisdiction_of_incorporation": "Delaware",
"customer_reference": "internal-id-12345",
"primary_business_domain_sic_code": null,
"corporate_registration_number": null,
"professional_license_number": null,
"dun_bradstreet_number": null,
"organization_contact": {
"first_name": "Sam",
"last_name": "Org",
"email": "sam@acmeplumbing.example.com",
"job_title": "Compliance Lead",
"phone_number": "+13125550000"
},
"billing_contact": {
"first_name": "Alex",
"last_name": "Bill",
"email": "billing@acmeplumbing.example.com",
"phone_number": "+13125550001"
},
"organization_physical_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"billing_address": {
"country": "US",
"administrative_area": "IL",
"city": "Chicago",
"postal_code": "60601",
"street_address": "100 Main St",
"extended_address": "Suite 504"
},
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z",
"branded_calling_enabled": true,
"number_reputation_enabled": true
}
}